Subject: Re: bug#42889: 28.0.50; make-pointer-invisible t should work also for navigation commands

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Aug 2020 19:56:40 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 17 Aug 2020 15:34:48 +0000
> Cc: [email-masked]
> 
> > I think it should be very easy to add such a feature, and I'm willing
> > to help by advice.  Want to give it a try?
> 
> Sure, why not?  Thanks for offering to help.
> 
> I had a first naive crack at it, and ended up with the attached.  It
> covers the commands that often irks me, but it might need some more
> adjusting.  I considered exposing this to Lisp, but it seemed better to
> do this in the low-level primitives, maybe?

Hmm... this won't work on mouse-capable TTY frames, would it?

I actually thought about something more direct: force
note_mouse_highlight return early before highlighting anything, when a
certain variable is non-nil (that variable could be f->pointer_invisible).

> Also, is this behaviour suitable as a default or should it be optional?

Definitely optional, IMO.  But maybe others diagree?